@book{aima,
  author    = {Stuart Russell and Peter Norvig},
  title     = {Artificial Intelligence},
  subtitle  = {A Modern Approach},
  edition   = {Second},
  publisher = {Prentice Hall},
  year      = {2006}
}

@article{fukuda,
  author    = {Toshio Fukuda and Seiya Nakagawa},
  title     = {DYNAMICALLY RECONFIGURABLE ROBOTIC SYSTEM},
  year      = {1988},
  journal   = {1988 the IEEE Conf. on Robotics \& Automation}
}

@book{numerical_recipies,
  author    = {William H. Press and Saul A. Teukolsky and William
                  T. Vetterling and Brian P. Flannery},
  title     = {NUMERICAL RECIPIES IN C++},
  subtitle  = {The Art of Scientific Computing}
  year      = {2002},
  publisher = {Cambridge University Press},
  edition   = {Second}
}

@phdthesis{esben_phd,
  author    = {Esben H. \O stergaard},
  title     = {Distributed Control of the ATRON Self-Reconfigurable
                  Robot},
  year      = {November 2004},
  school    = {Maersk McKinney Moller Institute for Production
                  Technology, University of Southern Denmark}
}

@book{computer_networking,
  author    = {James F. Kurose and Keith W. Ross},
  title     = {Computer Networking},
  year      = {2003},
  publisher = {Pearson, Addison-Wesley},
  edition   = {Second}
}

@book{distributed_algorithms,
  author    = {Nancy A. Lynch},
  title     = {Distributed Algorithms},
  year      = {1996},
  publisher = {Morgan Kaufmann Publishers, Inc.}
}
@article{hybrid_communication,
  title     = {A Self-Reconfigurable Communication Network for Modular Robots},
  year      = {2007},
  author    = {Richardo Franko Mendoza Garcia and Kasper Stoy and David Johan Christensen and Andreas Lyder},
  journal   = {First International Conference on Robot Communication and Coordination}
}

@phdthesis{parallelEA1,
  author    = {Dong Jia and Juris Vagners},
  title     = {PARALLEL EVOLUTIONARY ALGORITHMS FOR UAV PATH PLANNING},
  year      = {2004},
  school    = {Carnegie Mellon University and University of Washington}
}

@phdthesis{parallelEA2,
  author    = {David Rathburn and Sean Kragelundand Anawatt},
  title     = {AN EVOLUTION BASED PATH PLANNING ALGORITHM FOR AUTONOMOUS MOTION OF A UAV THROUGH UNCERTAIN ENVIRONMENTS},
  year      = {2002},
  school    = {University of Washington, Seatle WA}
}

@book{DigitalControlSystem,
  author    = {Charles L. Phillips,H. Troy Nagle},
  title     = {Digital Control System Analysis and Design},
  publisher = {PRENTICE HALL International},
  year      = {1995},
  edition   = {Third}
}

@book{PumpeBogen,
  author    = {GRUNDFOS Management A/S},
  publisher = {GRUNDFOS},
  title     = {Centrifugalpumpen},
  year      = {2005}
}

@book{SysAnalyse,
  author    = {Thomas Heilmann},
  title     = {Systemanalyse og simulering},
  publisher = {Heilmanns Forlag},
  year      = {2003},
  edition   = {2},
  isbn      = {87-90603-09-5}
}

@book{PrakRegulering,
  author    = {Thomas Heilmann},
  title     = {Praktisk regulering og instrumentering},
  publisher = {Heilmanns Forlag},
  year      = {2004},
  edition   = {5},
  isbn      = {87-90603-08-7}
}

@book{silberschatz,
  author    = {Abraham Silberschatz and others},
  title     = {Applied Operating System Concepts},
  publisher = {Wiley},
  year      = {2003}
}

@book{gof,
  author    = {Erich Gamma and Richard Helm and Ralph Johnson and John Vlissides},
  title     = {Design Patterns, Elements of Reuseable Object-Oriented Software},
  publisher = {ADDISON-WESLEY},
  year      = {1994}
}

@book{embedded,
  author    = {Michael Barr},
  title     = {Programming Embedded Systems in C and C++},
  publisher = {O'REILLY},
  year      = {1999}
}
@misc{tut,
  author    = {Vladimir Dyuzhev},
  title     = {TUT: C++ Unit Test Framework},
  year      = 2003,
  note      = {http://tut-framework.sourceforge.net/}
}

@book{cormen,
  author    = {Thomas H. Cormen},
  title     = {Introduction to Algorithms},
  edition   = {Second},
  publisher = {MIT Press},
  year      = {2001}
}

@manual{am186eruser,
  title     = {Am186ER and Am188ER Microcontroller User's Manual},
  year      = {1998},
  organization = {Advanced Micro Devices, Inc.}
}

@book{larman,
  author       = {Craig Larman},
  title        = {Appliying UML and Patterns},
  publisher    = {Prentice Hall},
  year         = 2002
}

@manual{gnugcc,
  title         = {GCC.gnu.org - manual},
  year          = {Current},
  author        = {Various Contributers},
  organization  = {Free Software Foundation},
  note          = {http://gcc.gnu.org}
}

@manual{iot186kit,
  title         = {IOT186KIT USERS--Manual},
  year          = {2003},
  author        = {Ib Refer, Karsten Andersen},
  origanization = {Ingeniørhøjskolen Odense Teknikum},
  note          = {http://old.iot.dk/sine/186forum/manualer.htm}
}

@manual{bootmonitor,
  title         = {BOOTMONITOR USERS--Manual},
  year          = {2003},
  author        = {Ib Refer and Karsten Andersen},
  origanization = {Ingeniørhøjskolen Odense Teknikum},
  note          = {http://old.iot.dk/sine/186forum/manualer.htm}
}
  
@manual{lm35dz,
  title         = {{LM35 Precision Centigrade Temperature Sensors}},
  year          = {2002},
  origanization = {National Semiconductors},
  note          = {http://www.national.com/pf/LM/LM35.html}
}

@manual{adc0803,
  title         = {{ADC0801/ADC0802/ADC0803/ADC0804/ADC0805 8-Bit $\mu$P Compatible A/D Converters}},
  year          = {1999},
  origanization = {National Semiconductors},
  note          = {http://www.national.com/pf/AD/ADC0803.html}
}

@manual{g5v1,
  title         = {Ultra-miniature, High Sensitive SPDT Relay for Signal Circuits},
  year          = {2004},
  origanization = {Omron},
  note          = {http://www.omron.com/ecb/products/pry/111/g5v\_1\_2.html}
}

@manual{bc548,
  title         = {BC546/547/548/549/550},
  year          = {2002},
  origanization = {Fairchild Semiconducters},
  note          = {http://www.fairchildsemi.com/pf/BC/BC548.html}
}

@article{ders485,
  title         = {Designing RS--485 Circuits},
  year          = {1999},
  author        = {Alexson, Jan},
  journal       = {Circuit Cellar},
}

@article{artrs485,
  title         = {The Art and Science of RS--485},
  year          = {1999},
  author        = {Perrin, Bob},
  journal       = {Circuit Cellar},
}

@manual{max232,
  title         = {+5V-Powered, Multichannel RS--232 Drivers/Receivers},
  year          = {2004},
  origanization = {Maxim/Dalls Semiconductors},
  note          = {http://dbserv.maxim-ic.com/quick\_view2.cfm?qv\_pk=1798}
}

@manual{max485,
  title         = {Low-Power, Slew-Rate-Limited RS--485/RS--422 Transceivers},
  year          = {2003},
  origanization = {Maxim/Dalls Semiconductors},
  note          = {http://www.maxim-ic.com/quick\_view2.cfm?qv\_pk/1111}
}

@misc{SigC,
  title         = {libsigc, Callback Framework for C++},
  author        = {Tero Pulkkinen},
  type          = {open-source projekt}
}

@misc{ipl,
  title         = {IPL98, Vision library},
  author        = {Rene Dencker and Ivar Balslev},
  type          = {open-source projekt}
}